﻿# Datei downloaden
$Path = "https://download.microsoft.com/download/1/D/8/1D8B5022-5477-4B9A-8104-6A71FF9D98AB/WindowsTH-RSAT_WS_1803-x64.msu"

$File = 'C:\Temp\WindowsTH-RSAT_WS_1803-x64.msu'
Start-BitsTransfer -Source $Path -Destination $File

# Signatur überprüfen
$Authenticatefile = Get-AuthenticodeSignature -Algorithm SHA1 $File
If ($Authenticatefile.status -NE "Valid")
{'Authenticode-Signatur ist nicht gültig'}
Else
{'Authenticode-Signatur ist gültig'}


# Eigene Skript auf gültige Signatur prüfen
$PSHOME ="D:\DATA\MYUSBSTICK\Skripte"
Get-ChildItem $PSHOME\*.* | ForEach-object {Get-AuthenticodeSignature $_} | Where-Object {$_.status -eq “Valid”}